﻿@model DAL.DBEntities.vt_User
<style>
    .adduser {
        max-width: 541px !important;
    }

    .mycustom input, .mycustom select {
        width: 232px !important;
        margin-bottom: 10px;
    }

    .mycustom .form-group {
        width: 50%;
    }

    button.btn.btn-link.waves-effect {
        background-color: #202121;
        color: #fff;
        border-radius: 5px;
    }

    .error {
        color: red;
    }
</style>

<link href="~/scripts/notification/css/mk-notifications.css" rel="stylesheet" type="text/css">
<div class="modal fade" id="UserModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-keyboard="false" data-backdrop="static">
    @*<form method="post" id="UserForm" novalidate="novalidate">*@
    @*@using (Html.BeginForm(null, null, FormMethod.Post, new { id = "customerForm" }))
        {*@
    <div class="modal-dialog adduser" role="document">


        @Html.AntiForgeryToken()
        <div class="modal-content" style="width:172%; margin-left: -88px;  ">

            <div class="modal-header">
                <h4 class="modal-title" id="UserModalLabel">Add Modal</h4>
            </div>
            <div class="modal-body">
                @Html.HiddenFor(x => x.ID)
                @Html.HiddenFor(x => x.RegionID)
                @Html.HiddenFor(x => x.RoleID)


                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="l30">First Name? <span style="color:red">*</span> </label>
                            <div class="form-line">
                                @Html.TextBoxFor(x => x.FName, new { @class = "form-control", @title = "First Name", Placeholder = "First Name", @id = "FName", AutoCompleteType = "Disabled", validate = "validate_data", require = "*Please enter first name" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="l30">Last Name? <span style="color:red">*</span> </label>
                            <div class="form-line">
                                @Html.TextBoxFor(x => x.LName, new { @class = "form-control", @title = "Last Name", Placeholder = "Last Name", @id = "LName", AutoCompleteType = "Disabled", validate = "validate_data", require = "*Please enter last name" })
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="l30">Password? <span style="color:red">*</span> </label>
                            <div class="form-line">
                                @Html.TextBoxFor(x => x.Password, new { @type = "Password", @class = "form-control", @title = "New Password", Placeholder = "New Password", @id = "Password", AutoCompleteType = "Disabled", validate = "validate_data", require = "*Please enter password" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="l30">Confirm Password? <span style="color:red">*</span> </label>
                            <div class="form-line">
                                @Html.TextBoxFor(x => x.ConfirmPassword, new { @type = "Password", @class = "form-control", @title = "Confirm Password", Placeholder = "Confirm Password", @id = "ConfirmPassword", AutoCompleteType = "Disabled", validate = "validate_data", require = "*Please enter confirm password" })
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="l30">Email? <span style="color:red">*</span> </label>
                            <div class="form-line">
                                @Html.TextBoxFor(x => x.Email, new { @type = "Email", @class = "form-control", @title = "Email", Placeholder = "Email", @id = "Email", @value = "", validate = "validate_data", require = "*Please enter email" })

                            </div>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="l30">Address? <span style="color:red">*</span> </label>
                            <div class="form-line">
                                @Html.TextBoxFor(x => x.Address, new { @type = "Address", @class = "form-control", @title = "Address", Placeholder = "Address", @id = "Address", AutoCompleteType = "Disabled", validate = "validate_data", require = "*Please enter address" })

                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="l30">Contact Number? <span style="color:red">*</span> </label>
                            <div class="form-line">
                                @Html.TextBoxFor(x => x.ContactNumber, new { @class = "form-control", @title = "Contact Number", Placeholder = "Contact Number", @id = "ContactNumber", AutoCompleteType = "Disabled", validate = "validate_data", require = "*Please enter contact number" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="l30">MCID? <span style="color:red">*</span> </label>
                            <div class="form-line">
                                @Html.TextBoxFor(x => x.MCID, new { @class = "form-control", @title = "MCID", Placeholder = "MCID", @id = "MCID", AutoCompleteType = "Disabled", validate = "validate_data", require = "*Please enter MCID" })
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="l30">Regions? <span style="color:red">*</span> </label>
                            <div class="form-line">
                                @Html.DropDownList("Region", (IEnumerable<SelectListItem>)ViewBag.AllRegions, new { id = "Region", @class = "form-control", validate = "validate_data", require = "*Please select region" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="l30">Role? <span style="color:red">*</span> </label>
                            <div class="form-line">
                                @Html.DropDownList("Role", (IEnumerable<SelectListItem>)ViewBag.AllRoles, new { id = "Role", @class = "form-control", validate = "validate_data", require = "*Please select role" })
                            </div>
                        </div>
                    </div>
                </div>
                @*<div class="form-group">
                        <div class="form-line">
                            @Html.CheckBoxFor(m => m.IsActive)
                        </div>
                    </div>*@
                <label style="color:red"> @ViewBag.Title</label>



            </div>
            <div class="modal-footer">
                <button class="btn btn-pinterest ripple" id="btnSave"><i class="material-icons list-icon"></i>  <span>Create</span></button>
                @*<button type="submit" id="btnSave" class="btn btn-black waves-effect">SAVE</button>*@
                <button type="button" class="btn btn-link waves-effect" data-dismiss="modal">CLOSE</button>
            </div>

        </div>

    </div>
    @*</form>*@
    @*}*@
</div>

<script src="~/scripts/jquery.validate.js"></script>
<script src="~/scripts/jquery.validate.min.js"></script>
<script src="~/scripts/jquery.validate.unobtrusive.js"></script>
<script src="~/scripts/jquery.validate.unobtrusive.min.js"></script>
<script src="~/scripts/jquery.toast.js"></script>
<script src="~/scripts/jquery.validator.js"></script>
<script src="~/scripts/Jquery-Validation-add-methods.js"></script>
<script src="~/scripts/notification/js/mk-notifications.js"></script>
<script type="text/javascript">

    jQuery(document).ready(function () {
        $("#btnSave").click(function () {
            debugger
            if ($('#Password').val() == $('#ConfirmPassword').val()) {
                if (validate('validate_data') == true) {
                    var user = new Object();
                    user.ID = $('#ID').val();
                    user.Username = $('#UserName').val();
                    user.Email = $('#Email').val();
                    user.Password = $('#Password').val();
                    user.Address = $('#Address').val();
                    user.FName = $('#FName').val();
                    user.LName = $('#LName').val();
                    user.ContactNumber = $('#ContactNumber').val();
                    user.ConfirmPassword = $('#ConfirmPassword').val();
                    user.MCID = $('#MCID').val();
                    user.IsActive = $('#IsActive').val();
                    user.RegionID = $('#Region').val();
                    user.RoleID = $('#Role').val();
                    $.ajax({
                        type: "POST",
                        url: "@Url.Action("CreateUser", "User")",
                        data: JSON.stringify(user),
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (response) {

                            window.location.reload();
                            mkNoti('Message', response.message,
                                                {
                                                    status: 'success'
                                                });

                            //window.location.href = "@Url.Action("Index", "User")";
                        },
                        failure: function (response) {
                            alert(response.responseText);
                        },
                        error: function (response) {
                            alert(response.responseText);
                        }
                    });
                }
            }
            else {
                alert('Password and Confirm Password Must be Same.');

            }

        });

    });

    $(document).ready(function () {


        @*$("#btnSave").click(function () {
                debugger
                if ($('#Password').val() == $('#ConfirmPassword').val()) {
                    if (validate('validate_data') == true) {
                        var user = new Object();
                        user.ID = $('#ID').val();
                        user.Username = $('#UserName').val();
                        user.Email = $('#Email').val();
                        user.Password = $('#Password').val();
                        user.Address = $('#Address').val();
                        user.FName = $('#FName').val();
                        user.LName = $('#LName').val();
                        user.ContactNumber = $('#ContactNumber').val();
                        user.ConfirmPassword = $('#ConfirmPassword').val();
                        user.MCID = $('#MCID').val();
                        user.IsActive = $('#IsActive').val();
                        user.RegionID = $('#Region').val();
                        user.RoleID = $('#Role').val();
                        $.ajax({
                            type: "POST",
                            url: "@Url.Action("CreateUser", "User")",
                            data: JSON.stringify(user),
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (response) {

                            window.location.reload();
                            mkNoti('Message', response.message,
                                                {
                                                    status: 'success'
                                                });

                            //window.location.href = "@Url.Action("Index", "User")";
                        },
                        failure: function (response) {
                            alert(response.responseText);
                        },
                        error: function (response) {
                            alert(response.responseText);
                        }
                    });
                }
            }
            else {
                    alert('Password and Confirm Password Must be Same.');

        }

        });*@


        var mkConfig = {
            positionY: 'bottom',
            positionX: 'right',
            max: 10,
            scrollable: true
        };

        mkNotifications(mkConfig);
        $('#Region').val($('#RegionID').val());
        $('#Role').val($('#RoleID').val());
        if ($('#ID').val() == "0") {
            setTimeout(function () { $('#Email').val(""); $('#Password').val(""); }, 300);

        }
    });






    @*$(function () {

            $('#UserForm').validate({
                rules: {
                    FName: {
                        required: true
                    },
                    LName: {
                        required: true
                    },
                    Password: {
                        required: true
                    },
                    ConfirmPassword: {
                        required: true
                    },
                    Email: {
                        required: true
                    },
                    Address: {
                        required: true

                    },
                    ContactNumber: {
                        maxlength: 11,
                        minlength: 11
                    },
                    MCID: {
                        required: true
                    },
                    Region: {
                        required: true
                    },
                    Role: {
                        required: true

                    }

                },
                messages: {
                    FName: {
                        required: "*Please select a First Name",
                    },
                    LName: {
                        required: "*Please select a Last Name",
                    },
                    Password: {
                        required: "*Password is required",
                    },
                    ConfirmPassword: {
                        required: "*Confirm Password is required",
                    },
                    Email: {
                        required: "*Email is required",
                        email: "*Please specify a valid Email."
                    },
                    Address: {
                        required: "*Address is required",
                    },
                    ContactNumber: {
                        required: "*Contact Number is required",
                    },
                    MCID: {
                        required: "*MCID is required",
                    },
                    Region: {
                        required: "*Region is required",

                    },
                    Role: {
                        required: "*Role is required",
                    },
                },
                submitHandler:(function(form) {
                    //submitHandler: function (form) {
                    //form.submit();
                    debugger
                    if ($('#Password').val() == $('#ConfirmPassword').val()) {
                        if (validate('validate_data') == true)
                        {
                            debugger
                            var user = new Object();
                            user.ID = $('#ID').val();
                            user.Username = $('#UserName').val();
                            user.Email = $('#Email').val();
                            user.Password = $('#Password').val();
                            user.Address = $('#Address').val();
                            user.FName = $('#FName').val();
                            user.LName = $('#LName').val();
                            user.ContactNumber = $('#ContactNumber').val();
                            user.ConfirmPassword = $('#ConfirmPassword').val();
                            user.MCID = $('#MCID').val();
                            user.IsActive = $('#IsActive').val();
                            user.RegionID = $('#Region').val();
                            user.RoleID = $('#Role').val();
                            //user.MCID = $('#Company').val();
                            //user.PartnerAccount = $('#CompanyAccount').val();
                            $(form).ajaxSubmit({
                                type: "POST",
                                url: "@Url.Action("CreateUser", "User")",
                                data: JSON.stringify(user),
                            contentType: "application/json; charset=utf-8",
                            dataType: "json",
                            success: function (response) {
                                if (response.status) {
                                    //mkNoti('Message', 'Customer created successfully.',
                                    //    {
                                    //        status: 'success'
                                    //    });
                                    window.location.href = "@Url.Action("Index","Customer")";
                                } else {
                                    mkNoti('Message', 'customer Info not save.',
                                        {
                                            status: 'warning'
                                        });
                                }

                            },
                            failure: function (response) {
                                alert(response.responseText);
                            },
                            error: function (response) {
                                alert(response.responseText);
                            }
                        });
                        }

                    }
                    else {
                        alert('Password and Confirm Password Must be Same.');

                    }

                    return false;
                })
            });

        });*@




</script>
